<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">

    <title>Students</title>

    <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
    <link rel="manifest" href="../manifest.json" type="manifest">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="../css/style.css" type="text/css">

    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>

</head>

<body>
    <header>
        <div id="logo">
            CMS
        </div>

        <div id="user-info">
            <div id="notification-icon" class="unlogged">
                <button type="button" class="button" id="notification-button" 
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         onclick="openChatPage()">
                    <i class="fa fa-bell-o"></i>
                    <div id="notification-dot"></div>
                </button>
                <!--<div class="dropdown-menu">
                  <button class="dropdown-item" type="button">Message</button>
                  <button class="dropdown-item" type="button">Another Message</button>
                  <button class="dropdown-item" type="button">Something else</button>
                </div>-->
            </div>
            
            <div id="profile" class="unlogged">
                <button type="button" class="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa">&#xf2bd; <span id="userFullName">Username</span></i>
                </button>
                <div class="dropdown-menu">
                  <button class="dropdown-item" type="button">Profile</button>
                  <button class="dropdown-item" type="button" onclick="logOut()">Logout</button>
                </div>
            </div>

            <div id="guest-info">
                <button type="button" class="button" onclick="openSignInModal()">Sign in</button>
                <button type="button" class="button" onclick="openSignUpModal()">Sign up</button>
            </div>
        </div>
    </header>

    <div id="main-content">
        <nav>
            <ul>
                <li><a href="#">Dashboard</a></li>
                <li><a href="#"><b>Students</b></a></li>
                <li><a href="#">Tasks</a></li>
            </ul>
        </nav>

        <div id="table-container">
            <h2 id="table-header">Students</h2>

            <button class="button" id="table-button-add" onclick="openAddStudentModal()">
                <i class="fa fa-plus-square-o"></i>
            </button>

            <table>
                <tr>
                    <td class="main-checkbox-element"><input id="main-checkbox" type="checkbox" onchange="changeCheckBoxes()"></td>
                    <td class="table-group-element">Group</td>
                    <td class="table-name-element">Name</td>
                    <td class="table-gender-element">Gender</td>
                    <td class="table-birthday-element">Birthday</td>
                    <td class="table-status-element">Status</td>
                    <td class="table-options-element">Options</td>
                </tr>
            </table>
        </div>
    </div>
    
    <div id="student-add-edit-modal" class="modal">
        <div class="modal-content">
            <input type="hidden" name="id" value="0">

            <div class="students-modal-header">
                <span id="modal-window-title" class="modal-header-text"></span>
                <span class="close-modal" onclick="closeStudentModal()">&times;</span>
            </div>

            <form id="add-student-form" class="students-add-form" method="post">
                <div class="form-group">
                    <label for="group">Group</label>
                    <select name="group" id="group">
                        <option value="" disabled selected hidden>Select Group</option>
                        <option value="PZ-21">PZ-21</option>
                        <option value="PZ-22">PZ-22</option>
                        <option value="PZ-23">PZ-23</option>
                        <option value="PZ-24">PZ-24</option>
                        <option value="KN-21">KN-21</option>
                    </select>  
                </div>
                
                <div class="form-group">
                    <label for="firstName">First name</label>
                    <input type="text" name="firstName" id="firstName">
                </div>
                
                <div class="form-group">
                    <label for="lastName">Last name</label>
                    <input type="text" name="lastName" id="lastName">
                </div>
                
                <div class="form-group">
                    <label for="gender">Gender</label>
                    <select name="gender" id="gender">
                        <option value="" disabled selected hidden>Select Gender</option>
                        <option value="M">Male</option>
                        <option value="F">Female</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="birthday">Birthday</label>
                    <input type="date" name="birthday" id="birthday">
                </div>

                <div class="button-group">
                    <button class="button" type="button" onclick="closeStudentModal()">Ok</button>
                    <button id="add-student-form-main-button" class="button" type="submit">Create</button>
                </div>
            </form>
        </div>
    </div>

    <div id="student-delete-modal" class="modal">
        <div class="modal-content">
            <div class="students-modal-header">
                <span class="modal-header-text">Warning</span>
                <span class="close-modal" onclick="closeDeleteStudentModal()">&times;</span>
            </div>
            
            <p class="students-modal-content-text">Are you sure you want to delete user <span id="username"></span>?</p>
            <div class="button-group">
                <button id="deleteStudentButton" class="button" onclick="deleteStudentFromDb()">Ok</button>
                <button class="button" onclick="closeDeleteStudentModal()">Cancel</button>
            </div>
        </div>
    </div>

    <div id="signIn-modal" class="modal">
        <div class="modal-content">
            <div class="students-modal-header">
                <span class="modal-header-text">Sign in</span>
                <span class="close-modal" onclick="closeSignInModal()">&times;</span>
            </div>
            
            <form id="signIn-form" class="students-add-form" method="post">
                <div class="form-group">
                    <label for="login">Login</label>
                    <input type="text" name="login" id="signIn-login" placeholder="Enter login...">
                </div>
                
                <div class="form-group">
                    <label for="password">Password</label>
                    <input type="password" name="password" id="signIn-password" placeholder="Enter password...">
                </div>
                
                <div class="button-group">
                    <button id="signInButton" class="button" type="submit" onclick="signIn(event)">Log in</button>
                    <button class="button" type="button" onclick="closeSignInModal()">Cancel</button>
                </div>
            </form>
        </div>
    </div>

    <div id="signUp-modal" class="modal">
        <div class="modal-content">
            <div class="students-modal-header">
                <span class="modal-header-text">Sign up</span>
                <span class="close-modal" onclick="closeSignUpModal()">&times;</span>
            </div>
            
            <form id="signUp-form" class="students-add-form" method="post">
                <div class="form-group">
                    <label for="login">Login</label>
                    <input type="text" name="login" id="signUp-login" placeholder="Enter login...">
                </div>

                <div class="form-group">
                    <label for="firstName">First name</label>
                    <input type="text" name="firstName" id="signUp-firstName" placeholder="Enter first name...">
                </div>

                <div class="form-group">
                    <label for="lastName">Last name</label>
                    <input type="text" name="lastName" id="signUp-lastName" placeholder="Enter last name...">
                </div>
                
                <div class="form-group">
                    <label for="password">Password</label>
                    <input type="password" name="password" id="signUp-password" placeholder="Enter password...">
                </div>
                
                <div class="button-group">
                    <button id="signInButton" class="button" type="submit" onclick="signUp(event)">Sign up</button>
                    <button class="button" type="button" onclick="closeSignUpModal()">Cancel</button>
                </div>
            </form>
        </div>
    </div>

    <script src="../js/main.js"></script>
    <script src="../js/notification.js"></script>
    <script src="../js/deleteStudent.js"></script>
    <script src="../js/addStudent.js"></script>
    <script src="../js/editStudent.js"></script>
    <script src="../js/signIn.js"></script>
    <script src="../js/signUp.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>